=== src/plugins/positionprovider/CMakeLists.txt ===
ADD_SUBDIRECTORY( flightgear )

macro_optional_find_package(libgps)
marble_set_package_properties( libgps PROPERTIES DESCRIPTION "communicating with the GPS daemon" )
marble_set_package_properties( libgps PROPERTIES URL "http://catb.org/gpsd/" )
marble_set_package_properties( libgps PROPERTIES TYPE OPTIONAL PURPOSE "position information via gpsd" )
IF(LIBGPS_FOUND)
     ADD_SUBDIRECTORY( gpsd )
ENDIF(LIBGPS_FOUND)

macro_optional_find_package(liblocation)
marble_set_package_properties( liblocation PROPERTIES DESCRIPTION "position information on Maemo 5 devices" )
marble_set_package_properties( liblocation PROPERTIES URL "http://maemo.org/" )
marble_set_package_properties( liblocation PROPERTIES TYPE OPTIONAL PURPOSE "position information via GPS/WLAN for the Nokia N900 smartphone" )
IF(liblocation_FOUND)
     ADD_SUBDIRECTORY( maemo )
ENDIF(liblocation_FOUND)

if( NOT QT5BUILD )
  macro_optional_find_package(QtLocation)
  marble_set_package_properties( QtMobility PROPERTIES DESCRIPTION "a collection of APIs and frameworks" )
  marble_set_package_properties( QtMobility PROPERTIES URL "http://qt.digia.com/" )
  marble_set_package_properties( QtMobility PROPERTIES TYPE OPTIONAL PURPOSE "Required for QtLocation to work" )
  marble_set_package_properties( QtLocation PROPERTIES DESCRIPTION "geographical support for position and map use" )
  marble_set_package_properties( QtLocation PROPERTIES URL "http://qt.digia.com/" )
  marble_set_package_properties( QtLocation PROPERTIES TYPE OPTIONAL PURPOSE "position information via QtMobility QtLocation" )
  IF(QTLOCATION_FOUND)
     ADD_SUBDIRECTORY( qtmobility )
  ENDIF(QTLOCATION_FOUND)
endif()

macro_optional_find_package(libwlocate)
marble_set_package_properties( libwlocate PROPERTIES DESCRIPTION "WLAN-based geolocation" )
marble_set_package_properties( libwlocate PROPERTIES URL "http://www.openwlanmap.org/" )
marble_set_package_properties( libwlocate PROPERTIES TYPE OPTIONAL PURPOSE "Position information based on neighboring WLAN networks" )
IF(LIBWLOCATE_FOUND)
     ADD_SUBDIRECTORY( wlocate )
ENDIF()

ADD_SUBDIRECTORY( routesimulation )
ADD_SUBDIRECTORY( placemark )

# experimental implementation
# ADD_SUBDIRECTORY( geoclue )
